mixin template_curl(path)
    |   $uri = 'http://'
    |       . $_SERVER['HTTP_HOST']
    |       . (isset($_SERVER['HTTP_PORT']) ? (':' . $_SERVER['HTTP_PORT']) : '')
    |       . '#{path}';
    |   $curl_req = curl_init($uri);
    |   curl_setopt($curl_req, CURLOPT_RETURNTRANSFER, true);
    |   $body = curl_exec($curl_req);
    |   print $body;
    |   curl_close($curl_req);

mixin template_var(varName)
    <?php if(isset($#{varName})) echo $#{varName}; ?>